features:
  secondary:
    - name: "Geo trusts a secondary site by default"
      available_in: [premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/ee/administration/geo/'
      reporter: fzimmer
      stage: enablement
      categories:
        - "Disaster Recovery"
        - "Geo-replication"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/301056'
      description: |
        A Geo secondary site uses an OAuth application on the primary site to perform authentication. When a new Geo secondary site was set up, the primary site did not trust the secondary site by default. This meant any user would have to confirm separately that the secondary could be trusted when connecting for the first time.

        In GitLab 13.10, the primary site trusts a secondary site by default as it is provisioned by GitLab. This eliminates an unneeded and potentially confusing OAuth dialog.
